Bug 155002 - Update net-mgmt/mrtg to 2.17.1
Summary: Update net-mgmt/mrtg to 2.17.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-24 11:50 UTC by Alexey V. Panfilov
Modified: 2011-02-28 13:51 UTC (History)
0 users

See Also:


Attachments
file.diff (4.41 KB, patch)
2011-02-24 11:50 UTC, Alexey V. Panfilov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey V. Panfilov 2011-02-24 11:50:08 UTC
Update to 2.17.1 (the "BUGFIX" release) includes:

* Fix scaling when noo and noi options are used. fix for  #95
* Stop staticly linking rateup. fix for #97
* Only set LD_RUN_PATH if it is actually necessary. patch from #98
* Net::SNMP only support aes128, des and 3des ... fix for cfgmaker from #99
* Understand desc and descr in ifdesc option of cfgmaker
* only set $args{'-maxrepetitions'} if $Net_SNMP_util::MaxRepetitions > 0
* do not load Net_SNMP_util unless snmpv3 is requested ... fix for #75
* be more aggressive about updating the confcache. If a key is missing, go
  looking for it again and complain. fix for #74
* only apply 32bit counter wrap compensation when the wrap is within 32bit
  range. fix for #70
* implement pngdate as TimeStrPos[x]: RU instead of separately. for for #68
* add missing <p> tag around 'last updated ... ' in html output. fix for #63
* remove racecondition when writing new traffic graph files by writing to a
  temp file and moving it later. fix for #51
* make snmpopt_current available in cfgmaker templates. fix for #48
* explicitly import Socket6 routines in SNMP_Session. fix for #45
* default ThreshHyst to 0.1 only if ThreshDir is define. fix for #42
* point out when there is an unknown interface found. fix for #41.
* allow for $speed to return 0 and still use SNMPv2 ... some Cisco Gear
  seems todo that. Fix for #33
* add dlink support for ifAlias OIDs to cfgmaker from #50
* add WWP (Ciena) support for ifAlias OIDs to cfgmaker from #66
* Updated squid docu #80
* Fix russian translation bug #92

Fix: Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-02-24 11:50:17 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Sylvio Cesar Teixeira freebsd_committer 2011-02-24 12:26:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-02-25 14:10:55 UTC
sylvio      2011-02-25 14:10:49 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/mrtg        Makefile distinfo 
  Removed files:
    net-mgmt/mrtg/files  patch-aa patch-ab 
  Log:
  - Update to 2.17.1
  
  PR:             ports/155002
  Submitted by:   Alexey V. Panfilov <ports@subnets.ru> (maintainer)
  
  Revision  Changes    Path
  1.109     +1 -1      ports/net-mgmt/mrtg/Makefile
  1.65      +2 -2      ports/net-mgmt/mrtg/distinfo
  1.5       +0 -11     ports/net-mgmt/mrtg/files/patch-aa (dead)
  1.2       +0 -32     ports/net-mgmt/mrtg/files/patch-ab (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2011-02-28 13:51:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!